Page MenuHomePhabricator

add SSDs to wdqs100[45]
Closed, ResolvedPublic

Description

This task will be used to coordinate a time between @Gehel and @Cmjohnson to add the new disks to wdqs100[45], purchased on T198658.

Adding the disks (not replacing existing) shouldn't result in any downtime, but we should watch it carefully just to be certain. Then @Gehel will need to take over on manually extending the software raid/lvm onto the new disks to use the space.

Related Objects

StatusSubtypeAssignedTask
ResolvedGehel
ResolvedCmjohnson

Event Timeline

RobH triaged this task as Medium priority.Aug 24 2018, 9:48 PM
RobH created this task.

Mentioned in SAL (#wikimedia-operations) [2018-08-28T15:35:12Z] <gehel> shutting down wdqs1004 to add new disks - T202779

Script wmf-auto-reimage was launched by gehel on neodymium.eqiad.wmnet for hosts:

['wdqs1004.eqiad.wmnet']

The log can be found in /var/log/wmf-auto-reimage/201808281540_gehel_28958.log.

Added 2 ssds to wdqs1004 and gehel is re-installing. Will do wdqs1005 at a later time/date.

Completed auto-reimage of hosts:

['wdqs1004.eqiad.wmnet']

and were ALL successful.

Gehel added a comment.Aug 29 2018, 7:02 AM

@Cmjohnson wdqs1004 is back into rotation, ping me when you have time for the next one (we also have T202780)

Addshore moved this task from incoming to monitoring on the Wikidata board.Aug 30 2018, 9:06 AM

Mentioned in SAL (#wikimedia-operations) [2018-08-30T16:30:39Z] <gehel> shutting down wdqs1005 for new SSD and reimaging - T202779

Script wmf-auto-reimage was launched by gehel on neodymium.eqiad.wmnet for hosts:

['wdqs1005.eqiad.wmnet']

The log can be found in /var/log/wmf-auto-reimage/201808301639_gehel_22030.log.

Script wmf-auto-reimage was launched by gehel on neodymium.eqiad.wmnet for hosts:

['wdqs1005.eqiad.wmnet']

The log can be found in /var/log/wmf-auto-reimage/201808301709_gehel_28480.log.

Completed auto-reimage of hosts:

['wdqs1005.eqiad.wmnet']

and were ALL successful.

Gehel added a comment.Sep 6 2018, 7:53 AM

New SSD in place, server reimaged and data reimported. We're all good!

Smalyshev closed this task as Resolved.Sep 12 2018, 5:01 AM